Subject: [bug#39258] [PATCH v6 1/2] DRAFT packages: Add fields to packages cache.

From: Arun Isaac <[email-masked]>
Date: Sat, 17 Jul 2021 14:01:45 +0530

Hi Simon,

I understand that one of the things you are trying to do is to have a
common interface for the cache and no-cache cases. To achieve this, I
think fold-available-packages and fold-packages should have the same
function signature. They should both pass a <package> object to
PROC. Currently, fold-packages is passing a <package> object whereas
fold-available-packages is passing the fields of the <package> object as
individual parameters. If fold-packages and fold-available-packages have
the same function signature, then the changes in your [PATCH v6 2/2]
would be way simpler.

Also, why do we need two separate functions---fold-available-packages
and fold-packages? Can't fold-available-packages do everything
fold-packages can and thus totally replace it?

> * gnu/packages.scm (generate-package-cache)[expand-cache]: Add synopsis and
> description.
> (load-package-cache, find-packages-by-names, find-packages-locations): Adapt
> accordingly.

A couple of typos here:

find-packages-by-names -> find-packages-by-name
find-packages-locations -> find-package-locations

Regards,
Arun